Package wx :: Class FocusEvent

[frames | no frames]

## Type FocusEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    FocusEvent

A focus event is sent when a window's focus changes. The window losing focus receives an EVT_KILL_FOCUS event while the window gaining it gets an EVT_SET_FOCUS event.

Notice that the set focus event happens both when the user gives focus to the window (whether using the mouse or keyboard) and when it is done from the program itself using `wx.Window.SetFocus`.

Method Summary
FocusEvent | ``__init__`(self, type, winid)` Constructor
Window | ``GetWindow`(self)` Returns the other window associated with this event, that is the window which had the focus before for the EVT_SET_FOCUS event and the window which is going to receive focus for the wxEVT_KILL_FOCUS event.
| `SetWindow(self, win)`

Property Summary
| `thisown`: The membership flag
| `Window`: See `GetWindow` and `SetWindow`

Method Details

### __init__(self, type=wxEVT_NULL, winid=0)
(Constructor)

Constructor

  Parameters:
    `type`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    FocusEvent
  Overrides:
    `wx.Event.__init__`

### GetWindow(self)

Returns the other window associated with this event, that is the window which had the focus before for the EVT_SET_FOCUS event and the window which is going to receive focus for the wxEVT_KILL_FOCUS event.

Warning: the window returned may be None!

  Returns:
    Window

Property Details

### thisown

The membership flag

### Window

See `GetWindow` and `SetWindow`

  Get Method:
    `GetWindow`(self)
  Set Method:
    `SetWindow`(self, win)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:12 2007 | http://epydoc.sf.net